Index: LICENSE
===================================================================
--- LICENSE	(revision 44b0a31083823ee539e549fb405084020d04e90f)
+++ LICENSE	(revision bf46f83f47a9325b47e5e44d8a233735aa161231)
@@ -2,7 +2,8 @@
 ============================================
 
-This file attempts to include all licenses that apply within Delphes (this program) source tree, in particular any that are supposed to be exposed to the end user for credit requirements for instance. 
-
-Delphes, a framework for fast simulation of a generic collider experiment
+This file attempts to include all licenses that apply within Delphes (this program) source tree, 
+in particular any that are supposed to be exposed to the end user for credit requirements for instance. 
+
+Delphes is a framework for fast simulation of a generic collider experiment.
 
 Centre for Cosmology, Particle Physics and Phenomenology (CP3)
@@ -24,5 +25,8 @@
 
 This program (Delphes) is free software: 
-you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.
+you can redistribute it and/or modify it under the terms of the 
+GNU General Public License as published by the Free Software 
+Foundation, either version 3 of the License, or (at your option) 
+any later version.
 
 This program is distributed in the hope that it will be useful,
@@ -32,9 +36,9 @@
 
 You should have received a copy of the GNU General Public License
-along with this program (see COPYING file).  If not, 
+along with this program (see COPYING file). If not, 
 see <http://www.gnu.org/licenses/>.
 
-The documentation for this program is under a creative commons share-alike 3.0 license.  
-http://creativecommons.org/licenses/by-sa/3.0/
+The documentation for this program is under a creative commons Attribution-ShareAlike 4.0 license.  
+http://creativecommons.org/licenses/by-sa/4.0/
 It can be found here:  http://cp3.irmp.ucl.ac.be/projects/delphes
 
@@ -43,11 +47,13 @@
 Dependencies are as follows:
 
-fastjet                                 GPLv2+                          http://www.fastjet.fr/
-tcl                                     University of California        https://www.tcl.tk/
-PUPPI                                   Delphes General Licence         https://github.com/nhanvtran/ProjectPUPPI/
-ExRootAnalysis                          Delphes General Licence         https://cp3.irmp.ucl.ac.be/projects/ExRootAnalysis/wiki/UserManual
-Hector                                  Delphes General Licence         https://github.com/hectorhep/hector
-ROOT                                    LGPL 2.1                        http://root.cern
-PYTHIA8                                 GPLv2 (discussions ongoing)     http://home.thep.lu.se/~torbjorn/Pythia.html
+fastjet          GPLv2+                       http://www.fastjet.fr/
+tcl              University of California     https://www.tcl.tk/
+PUPPI            Delphes General Licence      https://github.com/nhanvtran/ProjectPUPPI/
+ExRootAnalysis   Delphes General Licence      https://cp3.irmp.ucl.ac.be/projects/ExRootAnalysis/wiki/UserManual
+Hector           Delphes General Licence      https://github.com/hectorhep/hector
+ROOT             LGPL 2.1                     http://root.cern
+PUPPI            GPLv3+                       Currently only distributed with Delphes
+PYTHIA8          GPLv2 (discussions ongoing)  http://home.thep.lu.se/~torbjorn/Pythia.html
+
 
 Licences & Credits of dependencies
@@ -57,4 +63,8 @@
 Fastjet
 #####
+
+Unknown Copyright. FastJet was written and is maintained and developed 
+by Matteo Cacciari, Gavin P. Salam and Gregory Soyez
+
 FastJet is released under the terms of the GNU General Public License
 v2 (GPLv2). FastJet includes a significant body of third-party code,
@@ -62,5 +72,35 @@
 geometry methods. These too are usually released under the GPL or
 permissive licenses.
-Specifically, 
+
+*/NOTICE: Several files are part of FastJet and released with the following mention, 
+thus explicitly allowing to use a later version than version 2 of the GNU GPL license:
+
+//  FastJet is free software; you can redistribute it and/or modify
+//  it under the terms of the GNU General Public License as published by
+//  the Free Software Foundation; either version 2 of the License, or
+//  (at your option) any later version.
+//
+//  The algorithms that underlie FastJet have required considerable
+//  development. They are described in the original FastJet paper,
+//  hep-ph/0512210 and in the manual, arXiv:1111.6097. If you use
+//  FastJet as part of work towards a scientific publication, please
+//  quote the version you use and include a citation to the manual and
+//  optionally also to hep-ph/0512210.
+//
+//  FastJet is distributed in the hope that it will be useful,
+//  but WITHOUT ANY WARRANTY; without even the implied warranty of
+//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+//  GNU General Public License for more details.
+//
+//  You should have received a copy of the GNU General Public License
+//  along with FastJet. If not, see <http://www.gnu.org/licenses/>.
+
+Nearly all depedencies of FastJet are released with the same mention thus
+also explicitly allowing to use a later version than version 2 of the GNU GPL license:
+"... either version 2 of the License, or (at your option) any later version..."
+
+Finally, we have received express autorisations to release the only dependencies under
+GNU GPL v2: D0 RunI and RunII cone plugins and ATLAScone code, 
+under GNU GPL v3 or later license. Specifically, 
   - we received agreement from Joey Huston <Huston@pa.msu.edu> to distribute the ATLAScone code under GPL v3 or later;
   - we received agreement from Paul Grannis for the D0 collaboration to distribute the D0 RunI and RunII cone plugins under GPL v3 or later.
@@ -81,5 +121,5 @@
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-GNU General Public License for more details.
+GNU General Public License for more details.*/
 
 -----------------------------------------------------------------------------
@@ -88,4 +128,5 @@
 tcl
 ####
+
 This software is copyrighted by the Regents of the University of
 California, Sun Microsystems, Inc., Scriptics Corporation,
@@ -120,4 +161,7 @@
 ROOT
 ####
+
+Unknown Copyright
+
 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
@@ -133,6 +177,31 @@
 
 ####
+PUPPI
+####
+
+Copyright (C) <2005-2018> <European Organization for Nuclear Research (CERN), Switzerland >
+
+This program (PUPPI) is free software: 
+you can redistribute it and/or modify it under the terms of the 
+GNU General Public License as published by the Free Software 
+Foundation, either version 3 of the License, or (at your option) 
+any later version.
+
+This program is distributed in the hope that it will be useful,
+but WITHOUT ANY WARRANTY; without even the implied warranty of
+MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+GNU General Public License for more details.
+
+You should have received a copy of the GNU General Public License
+along with this program (see COPYING file). If not, 
+see <http://www.gnu.org/licenses/>.
+
+-----------------------------------------------------------------------------
+
+####
 PYTHIA
 ####
+
+Unknown Copyright
 
 This program is free software; you can redistribute it and/or modify
@@ -145,3 +214,3 @@
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
------------------------------------------------------------------------------
+
